const express = require('express');
const app = express();
const mysql = require("mysql2/promise");


//variables
const userdb = process.env.USERDB
const passwdb = process.env.PASSWDB
const database = process.env.DATABASE
const port = process.env.PORT


async function connectdb(){
    const connection = await mysql.createConnection(`mysql://${userdb}:${passwdb}@localhost:3306/${database}`);
    return connection;
}


app.get('/', (req, res) => {
    res.json('Hello World!')
  })

app.get('/users', function (req, res) {

    const conn = connectdb()
    conn.query('SELECT * FROM users', (err, u) => {
        if(err) return  res.json(err);

        res.json(u)
    })

})


var server = app.listen(port, function () {
   console.log("Example app listening at port %s", port)
})